/**************************************************
 *
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign.
 * Released under GPL 18.FEB.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/
#ifndef classPrimaryKeys_included
#define classPrimaryKeys_included

#include <qstring.h>
#include <sqlext.h>
#include <qmessagebox.h>
#include <qlist.h>
#include "classNode.h"

class classPrimaryKeys: public classNode
{
public:
    classPrimaryKeys( QListView 		*pParent, classCanvas *pCanvas, SQLHDBC hDbc = NULL, char *pszTable = NULL );
    classPrimaryKeys( QListViewItem 	*pParent, classCanvas *pCanvas, SQLHDBC hDbc = NULL, char *pszTable = NULL );
	~classPrimaryKeys();

    void setOpen( bool );
    void setup();
	void selectionChanged( QListViewItem * );

private:
	SQLHDBC	hDbc;
	QString	qsTable;

	void Init( SQLHDBC hDbc, char *pszTable );
	void LoadColumns();

};

#endif

