/**************************************************
 *
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign.
 * Released under GPL 18.FEB.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/
#ifndef classSpecialColumns_included
#define classSpecialColumns_included

#include <qstring.h>
#include <sqlext.h>
#include <qmessagebox.h>
#include <qlist.h>
#include "classNode.h"
#include "classColumn.h"

class classSpecialColumns: public classNode
{
public:
    classSpecialColumns( QListView 		*pParent, classCanvas *pCanvas, SQLHDBC hDbc = NULL, char *pszTable = NULL );
    classSpecialColumns( QListViewItem 	*pParent, classCanvas *pCanvas, SQLHDBC hDbc = NULL, char *pszTable = NULL );
	~classSpecialColumns();

    void setOpen( bool );
    void setup();
	void selectionChanged( QListViewItem * );

private:
	QList<classColumn>	listColumns;
	SQLHDBC				hDbc;
	QString				qsTable;

	void Init( SQLHDBC hDbc, char *pszTable );
	void LoadColumns();

};

#endif

